Debian Bug report logs - #429180
issues with whirlpool hash on sparc64

version graph

Package: libmhash2; Maintainer for libmhash2 is Chris Hanson <cph@debian.org>; Source for libmhash2 is src:mhash.

Reported by: Andreas Tille <tillea@rki.de>

Date: Mon, 23 Apr 2007 06:30:01 UTC

Severity: important

Tags: patch

Merged with 653072

Found in version 0.9.9.9-1

Fixed in version mhash/0.9.9.9-1.1

Done: "Barak A. Pearlmutter" <bap@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
New Bug report received and forwarded. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aideinit segfaults on sparc
Date: Mon, 23 Apr 2007 08:26:03 +0200
Package: aide
Version: 0.13.1-2
Severity: important

Hi,

# aideinit 
Overwrite existing /var/lib/aide/aide.db.new [Yn]? 
Running aide --init...
Caught SIGBUS/SEGV. Exiting
/usr/bin/aide.wrapper: line 24:  7196 Aborted                 /usr/bin/aide $CONFIG "$@"
Overwrite /var/lib/aide/aide.db [yN]? 

Please tell me what ales information I should provide to track down this problem.

Kind regards and thanks for maintaining aide

         Andreas.


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (600, 'stable'), (500, 'stable'), (300, 'testing')
Architecture: sparc (sparc64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.26-sparc64
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages aide depends on:
ii  debconf [debconf 1.5.11                  Debian configuration management sy
ii  liblockfile1     1.06.1                  NFS-safe locking library, includes
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent
ii  ucf              2.0020                  Update Configuration File: preserv

Versions of packages aide recommends:
ii  cron                          3.0pl1-100 management of regular background p

-- debconf information:
* aide/aideinit: false
* aide/mustaideinit:
  aideinit/copynew: false
  aideinit/overwritenew: true
  aide/newlibdir: false
* aide/setmailaddress:
  aideinit/warnnew:



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 420547@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Andreas Tille <tillea@rki.de>, 420547@bugs.debian.org
Subject: Re: [Pkg-aide-maintainers] Bug#420547: aideinit segfaults on sparc
Date: Mon, 23 Apr 2007 10:41:03 +0200
On Mon, Apr 23, 2007 at 08:26:03AM +0200, Andreas Tille wrote:
> # aideinit 
> Overwrite existing /var/lib/aide/aide.db.new [Yn]? 
> Running aide --init...
> Caught SIGBUS/SEGV. Exiting
> /usr/bin/aide.wrapper: line 24:  7196 Aborted                 /usr/bin/aide $CONFIG "$@"
> Overwrite /var/lib/aide/aide.db [yN]? 
> 
> Please tell me what ales information I should provide to track down
> this problem.

A backtrace of an unstripped binary would be the greatest thing, if
possible.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Neil Joseph Schelly <neil.schelly@oasis-open.org>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 420547@bugs.debian.org (full text, mbox):

From: Neil Joseph Schelly <neil.schelly@oasis-open.org>
To: 420547@bugs.debian.org
Subject: AIDE crash on sparc platform
Date: Thu, 24 May 2007 08:55:20 -0400
[Message part 1 (text/plain, inline)]
I'm also getting the same error described in this bug, using Debian Etch with 
all packages up to date.  I recompiled (from the Debian source package) 
without stripping symbols from the binaries and am attaching three files.

* aide-gdb_backtrace.txt is a script session of running the binary in gdb and 
issuing a backtrace.  It seems gdb was having trouble with this, but 
hopefully it's close enough to be useful.
* aide-strace.txt is the output from running aide by way of strace.
* aide-V255.txt is the output when running aide with it's highest verbosity.

I hope this helps and should be able to assist any other troubleshooting you 
may need to resolve this.

-- 
Regards,
Neil Schelly
Senior Systems Administrator

W: 978-667-5115 x213
M: 508-410-4776

OASIS http://www.oasis-open.org
"Advancing E-Business Standards Since 1993"
[aide-strace.txt.zip (application/x-zip, attachment)]
[aide-gdb_backtrace.txt.zip (application/x-zip, attachment)]
[aide-V255.txt.zip (application/x-zip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Jan Eringa <j_eringa@yahoo.co.nz>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 420547@bugs.debian.org (full text, mbox):

From: Jan Eringa <j_eringa@yahoo.co.nz>
To: Debian Bug Tracking System <420547@bugs.debian.org>
Subject: aideinit segfaults on Sparc
Date: Thu, 24 May 2007 14:54:42 +0000
Package: aide
Version: 0.13.1-5
Followup-For: Bug #420547


Running aide --init...
Caught SIGBUS/SEGV. Exiting
/usr/bin/aide.wrapper: line 24: 25296 Aborted                 /usr/bin/aide $CONFIG "$@"
AIDE --init return code 134; see /var/lib/aide/aide.db.new for details



-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: sparc (sparc64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-vserver-sparc64
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages aide depends on:
ii  debconf [debconf 1.5.11                  Debian configuration management sy
ii  liblockfile1     1.06.1                  NFS-safe locking library, includes
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent
ii  ucf              2.0020                  Update Configuration File: preserv

Versions of packages aide recommends:
ii  cron                          3.0pl1-100 management of regular background p

-- debconf information:
  aide/aideinit: false
  aideinit/copynew: false
  aideinit/overwritenew: true
  aide/newlibdir: false



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Richard van den Berg <richard@vdberg.org>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 420547@bugs.debian.org (full text, mbox):

From: Richard van den Berg <richard@vdberg.org>
To: Aide user mailinglist <aide@cs.tut.fi>
Cc: 420547@bugs.debian.org
Subject: Re: [Aide] aide segfaulting on sparc (Debian Bug #420547)
Date: Wed, 06 Jun 2007 18:25:10 +0200
Marc Haber wrote:
> in Debian Bug #420547, we have received reports of aide 0.13.1
> segfaulting. The bug report also contains a (rather unhelpful) gdb
> backtrace and strace output.
>   

According to the -V255 out the segfault occurs in close_md() from md.c.
The gdb backtrace suggests the problem is with mhash_deinit() for
MHASH_WHIRLPOOL. Since aide has already scanned several files, I suspect
a problem with libmhash. Try taking the whirlpool hash out of the group
definitions. If the problem goes away it might be related to that hash only.

Sincerely,

Richard van den Berg




Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Richard van den Berg <richard@vdberg.org>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 420547@bugs.debian.org (full text, mbox):

From: Richard van den Berg <richard@vdberg.org>
To: Aide user mailinglist <aide@cs.tut.fi>
Cc: 420547@bugs.debian.org
Subject: Re: [Aide] aide segfaulting on sparc (Debian Bug #420547)
Date: Wed, 06 Jun 2007 18:27:40 +0200
Robert Griffin wrote:
> The backtrace wasn't *that* unhelpful. See mhash bug #1721000 "0.9.9  
> - alignment issue":
>
> http://sourceforge.net/tracker/index.php? 
> func=detail&aid=1721000&group_id=4286&atid=104286
>   

Just as I suspected: an issue with whirlpool in libmhash on Sparc.
Thanks for clearing that up.

Sincerely,

Richard van den Berg




Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Neil Joseph Schelly <neil.schelly@oasis-open.org>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 420547@bugs.debian.org (full text, mbox):

From: Neil Joseph Schelly <neil.schelly@oasis-open.org>
To: 420547@bugs.debian.org
Subject: Whirlpool hash
Date: Wed, 6 Jun 2007 15:22:59 -0400
I'm just confirming that the whirlpool hash is definitely the culprit.  
Disabling the whirlpool hash in my aide.conf allows AIDE to proceed without 
crashing.

-- 
Regards,
Neil Schelly
Senior Systems Administrator

W: 978-667-5115 x213
M: 508-410-4776

OASIS http://www.oasis-open.org
"Advancing E-Business Standards Since 1993"



Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 420547@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Andreas Tille <tillea@rki.de>, 420547@bugs.debian.org, 420547-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#420547: aideinit segfaults on sparc
Date: Wed, 6 Jun 2007 23:39:14 +0200
On Mon, Apr 23, 2007 at 08:26:03AM +0200, Andreas Tille wrote:
> # aideinit 
> Overwrite existing /var/lib/aide/aide.db.new [Yn]? 
> Running aide --init...
> Caught SIGBUS/SEGV. Exiting
> /usr/bin/aide.wrapper: line 24:  7196 Aborted                 /usr/bin/aide $CONFIG "$@"
> Overwrite /var/lib/aide/aide.db [yN]? 
> 
> Please tell me what ales information I should provide to track down
> this problem.

Can you try disabling the whirlpool hash and retry?

aide upstream suspects that this is mhash bug #1721000:

http://sourceforge.net/tracker/index.php?func=detail&aid=1721000&group_id=4286&atid=104286

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Message sent on to Andreas Tille <tillea@rki.de>:
Bug#420547. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#420547; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #48 received at 420547@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Andreas Tille <tillea@rki.de>, 420547@bugs.debian.org, 420547-submitter@bugs.debian.org
Cc: "mhash@packages.debian.org Marc Haber" <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#420547: aideinit segfaults on sparc
Date: Sat, 16 Jun 2007 10:22:59 +0200
clone #420547 -1
retitle -1 issues with whirlpool hash on sparc64
reassign -1 mhash
block #420547 with -1
thanks

On Mon, Apr 23, 2007 at 08:26:03AM +0200, Andreas Tille wrote:
> # aideinit 
> Overwrite existing /var/lib/aide/aide.db.new [Yn]? 
> Running aide --init...
> Caught SIGBUS/SEGV. Exiting
> /usr/bin/aide.wrapper: line 24:  7196 Aborted                 /usr/bin/aide $CONFIG "$@"
> Overwrite /var/lib/aide/aide.db [yN]? 

We have tracked this down to an issue with the whirlpool hash on
sparc64, which can be worked around by disabling the whirlpool hash in
aide configuration.

This might be a known mhash upstream bug (#1721000,
http://sourceforge.net/tracker/index.php?func=detail&aid=1721000&group_id=4286&atid=104286)
which should be addressed in Debian as well.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Bug 420547 cloned as bug 429180. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sat, 16 Jun 2007 08:24:07 GMT) Full text and rfc822 format available.

Changed Bug title to `issues with whirlpool hash on sparc64' from `aideinit segfaults on sparc'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sat, 16 Jun 2007 08:24:10 GMT) Full text and rfc822 format available.

Bug reassigned from package `aide' to `mhash'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sat, 16 Jun 2007 08:24:12 GMT) Full text and rfc822 format available.

Blocking bugs of 420547 added: 429180 Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sat, 16 Jun 2007 08:24:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#429180; Package mhash. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #61 received at 429180@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 429180@bugs.debian.org
Cc: mhash@packages.debian.org
Subject: Re: Bug#429180: mhash: issues with whirlpool hash on sparc64
Date: Mon, 9 Jul 2007 16:06:06 +0200
It looks like this was not properly Cc'ed to
mhash@packages.debian.org. Sorry about that.

Greetings
Marc

On Sat, Jun 16, 2007 at 10:22:59AM +0200, Marc Haber wrote:
> From: Marc Haber <mh+debian-packages@zugschlus.de>
> Subject: Bug#420547: aideinit segfaults on sparc
> To: Andreas Tille <tillea@rki.de>, 420547@bugs.debian.org,
> 	420547-submitter@bugs.debian.org
> Cc: "mhash@packages.debian.org Marc Haber" <mh+debian-packages@zugschlus.de>
> Reply-To: Marc Haber <mh+debian-packages@zugschlus.de>,
> 	420547@bugs.debian.org
> Date: Sat, 16 Jun 2007 10:22:59 +0200
> User-Agent: Mutt/1.5.13 (2006-08-11)
> 
> clone #420547 -1
> retitle -1 issues with whirlpool hash on sparc64
> reassign -1 mhash
> block #420547 with -1
> thanks
> 
> On Mon, Apr 23, 2007 at 08:26:03AM +0200, Andreas Tille wrote:
> > # aideinit 
> > Overwrite existing /var/lib/aide/aide.db.new [Yn]? 
> > Running aide --init...
> > Caught SIGBUS/SEGV. Exiting
> > /usr/bin/aide.wrapper: line 24:  7196 Aborted                 /usr/bin/aide $CONFIG "$@"
> > Overwrite /var/lib/aide/aide.db [yN]? 
> 
> We have tracked this down to an issue with the whirlpool hash on
> sparc64, which can be worked around by disabling the whirlpool hash in
> aide configuration.
> 
> This might be a known mhash upstream bug (#1721000,
> http://sourceforge.net/tracker/index.php?func=detail&aid=1721000&group_id=4286&atid=104286)
> which should be addressed in Debian as well.
> 
> Greetings
> Marc
> 
> -- 
> -----------------------------------------------------------------------------
> Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
> Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
> Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835
> 
> 

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Blocking bugs of 152203 added: 429180 Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Fri, 18 Jan 2008 14:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#429180; Package mhash. (Thu, 17 Nov 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Dard <f.couperin@online.fr>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. (Thu, 17 Nov 2011 15:39:08 GMT) Full text and rfc822 format available.

Message #68 received at 429180@bugs.debian.org (full text, mbox):

From: Laurent Dard <f.couperin@online.fr>
To: 429180@bugs.debian.org
Subject: Re: Bug#429180: mhash: issues with whirlpool hash on sparc64
Date: Thu, 17 Nov 2011 16:35:08 +0100
tags 429180 patch
thanks

Does it help:
http://pkgs.fedoraproject.org/gitweb/?p=mhash.git;a=blob;f=mhash-0.9.9.9-fix-whirlpool-segfault.patch
?

-- 
Laurent Dard




Bug reassigned from package 'mhash' to 'libmhash2'. Request was from Chow Loong Jin <hyperair@debian.org> to control@bugs.debian.org. (Thu, 12 Jan 2012 01:33:03 GMT) Full text and rfc822 format available.

Forcibly Merged 429180 653072. Request was from Chow Loong Jin <hyperair@debian.org> to control@bugs.debian.org. (Thu, 12 Jan 2012 01:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#429180; Package libmhash2. (Thu, 12 Jan 2012 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. (Thu, 12 Jan 2012 12:30:36 GMT) Full text and rfc822 format available.

Message #77 received at 429180@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: 429180@bugs.debian.org
Subject: Patch from Bug #653072
Date: Thu, 12 Jan 2012 20:25:36 +0800
[Message part 1 (text/plain, inline)]
Here's the patch from Bug #653072 that was merged with this bug. It includes the
same null pointer check for both whirlpool and snefru.

-- 
Kind regards,
Loong Jin
[0001-Fix-mhash_deinit-segfaults-with-snefru-and-whirlpool.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#429180; Package libmhash2. (Thu, 19 Jan 2012 05:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. (Thu, 19 Jan 2012 05:09:07 GMT) Full text and rfc822 format available.

Message #82 received at 429180@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@gmail.com>
To: 429180@bugs.debian.org
Subject: mhash: diff for NMU version 0.9.9.9-1.1
Date: Thu, 19 Jan 2012 13:04:33 +0800
[Message part 1 (text/plain, inline)]
Package: mhash
Version: 0.9.9.9-1
Severity: normal
Tags: patch pending

Dear maintainer,

I've prepared an NMU for mhash (versioned as 0.9.9.9-1.1) and
uploaded it to DELAYED/7. Please feel free to tell me if I
should delay it longer.

Regards.

--
Kind regards,
Loong Jin
[mhash-0.9.9.9-1.1-nmu.diff (text/x-diff, attachment)]

Marked as fixed in versions mhash/0.9.9.9-1.1. Request was from "Barak A. Pearlmutter" <bap@debian.org> to control@bugs.debian.org. (Wed, 12 Feb 2014 23:27:08 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from "Barak A. Pearlmutter" <bap@debian.org> to control@bugs.debian.org. (Wed, 12 Feb 2014 23:27:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Tille <tillea@rki.de>:
Bug acknowledged by developer. (Wed, 12 Feb 2014 23:27:10 GMT) Full text and rfc822 format available.

Message sent on to Andreas Tille <tillea@rki.de>:
Bug#429180. (Wed, 12 Feb 2014 23:27:25 GMT) Full text and rfc822 format available.

Message #91 received at 429180-submitter@bugs.debian.org (full text, mbox):

From: "Barak A. Pearlmutter" <bap@debian.org>
To: control@bugs.debian.org
Cc: 429180-submitter@bugs.debian.org
Subject: closing 429180
Date: Wed, 12 Feb 2014 23:23:18 +0000
close 429180 0.9.9.9-1.1
thanks
NMU merged some time ago.
(Thanks for the fix.)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Mar 2014 07:33:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:35:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.